Package org.eclipse.emf.cdo.server.net4j

## Class FailoverMonitor.AgentProtocol.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.spi.net4j.ServerProtocolFactory
    - - org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AbstractServerProtocolFactory
      - - org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AgentProtocol.Factory

- All Implemented Interfaces:
    `FailoverMonitor.Provider`, `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    FailoverMonitor.AgentProtocol

      public static class FailoverMonitor.AgentProtocol.Factory
      extends FailoverMonitor.AbstractServerProtocolFactory

  Creates `fail-over agent protocol` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.spi.net4j.ServerProtocolFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |
    `Factory​(org.eclipse.net4j.util.container.IManagedContainer container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FailoverMonitor.AgentProtocol` | `create​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AbstractServerProtocolFactory

      `getFailoverMonitor`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory​(org.eclipse.net4j.util.container.IManagedContainer container)

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public FailoverMonitor.AgentProtocol create​(java.lang.String description)
                                               throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`